/* === GENERAL === */
.appearance-none {
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  -o-appearance: none;
  appearance: none;
}

.hidden {
  display: none !important;
}

#vehicle-loading {
  position: absolute;
  max-width: 1430px;
  width: 100%;
  height: 100%;
  z-index: 99;
  background-color: rgba(255,255,255,0.5);
}

#vehicle-loading .loading-text {
  position: fixed;
  width: 300px;
  left: calc(50% - 150px);
  background-color: white;
  border: 1px solid black;
  padding: 20px;
}

/* === FILTERS === */
.bb-grid-4 {
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  gap: 40px;
  width: 100%;
}
.bb-flex {
  display: flex;
}

.filter-form .resetButton {
  float: right;
}

.filter-block .mobile-only .advanced-filters {
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  background: black;
  color: white;
  font-size: 16;
  font-weight: 700; /* bold */
  text-transform: uppercase;
  cursor: pointer;
}

.selector {
  position: relative;
  width: 100%;
}

.selector:before {
  content: "\f0dd";
  font-family: "Font Awesome 6 Pro";
  font-weight: 900;
  position:absolute;
  top: 5px;
  right: 10px;
  pointer-events: none;
}

.filter-block {
  background-color: #EFEFEF;
  width: calc(100% - 20px);
  margin: 0 auto;
  padding: 20px;
}

.filter-form {
  max-width: 1450px;
  margin-left: auto;
  margin-right: auto;
}

.filter-form h5 {
  font-size: 14px;
}

.filter-form .rangeFilter-wrapper .title {
  font-size: 13px;
}

.filter {
  border-radius: 0;
}

.filter-icon {
  width: 20px;
  height: 20px;
  margin-right: -190px;
  margin-top: 10px;
}

.slider {
  width: 100% !important;
}

.slider-wrapper {
  margin: 0 6px 0 10px !important;
}

.slider-track {
  background: #d8d8d8 !important;
  height: 1px !important;
  margin-top: -3px !important;
}

.slider-handle {
  width: 15px !important;
  height: 15px !important;
  background: #111 !important;
}

.slider-selection {
  background: #111 !important;
}

.tooltip {
  opacity: 1;
  z-index: 1;
}

.tooltip-main {
  display: none;
}

.tooltip-min,
.tooltip-max {
  display: block !important;
}

.tooltip-min {
  left: 0% !important;
}

.tooltip-max {
  left: 100% !important;
}

.tooltip-inner {
  background-color: transparent;
  color: black;
}

@media (min-width: 992px) {
  #vehicle-collection-page .sort-select {
    max-width: 200px;
  }
}

#auto-nieuw {
  position: relative;
  left: 90px;
}

#auto-nieuw,
#auto-gebruikt {
  text-decoration: none !important;
  margin: 20px;
}

#auto-nieuw h6,
#auto-gebruikt h6 {
  position: relative;
  padding-top: 60px;
  border-right: 1px solid #cccccc;
}

#auto-nieuw div,
#auto-gebruikt div {
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center bottom;
  height: 50px;
  vertical-align: text-bottom;
  margin-top: -40px;
}

#auto-nieuw div {
  background-size: 90px 50px;
}

#auto-gebruikt div {
  background-size: 73px 32px;
}

#auto-nieuw div,
#auto-nieuw.active:hover div {
  background-image: url('/wp-content/themes/bb-blank-child/img/new-car.png')
}

#auto-gebruikt div,
#auto-gebruikt.active:hover div {
  background-image: url('/wp-content/themes/bb-blank-child/img/used-car.png')
}

#auto-nieuw:hover div,
#auto-nieuw.active div {
  background-image: url('/wp-content/themes/bb-blank-child/img/new-car-hover.png')
}

#auto-gebruikt:hover div,
#auto-gebruikt.active div {
  background-image: url('/wp-content/themes/bb-blank-child/img/used-car-hover.png')
}

#auto-nieuw h6,
#auto-gebruikt h6 {
  text-decoration: none;
  font-weight: bold;
}

#auto-nieuw h6,
#auto-gebruikt h6,
#auto-nieuw.active:hover h6,
#auto-gebruikt.active:hover h6 {
  color: #a1a2a1;
}

#auto-nieuw:hover h6,
#auto-gebruikt:hover h6,
#auto-nieuw.active h6,
#auto-gebruikt.active h6 {
  color: black;
}

#vehicles-reset-filters {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 40px;
  padding: 0 30px;
  border: none;
  background-color: black;
  color: white;
  text-decoration: none !important;
  cursor: pointer;
}

#vehicles-reset-filters svg {
  margin-right: 10px	
}

#vehicles-reset-filters:hover {
  background-color: #d31922;
}

/* === CONTENT === */
.content {
  max-width: 1450px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 20px;
  padding-right: 20px;
}
.content-header {
  margin-bottom: 50px;
}

.content-header #vehicle-count {
  color: #d31922;
}

.sortby:before {
  content: "\f160";
  font-family: "Font Awesome 6 Pro";
  font-weight: 900;
  position:absolute;
  top: 10px;
  right: 21px;
  z-index: 10;
  pointer-events: none;
}

#sortby {
  position: relative;
  background-color: #EFEFEF;
  color: black;
  padding-left: 10px;
  border-radius: 0;
  margin-right: -5px;
}

/* === CAR === */
.car_overview {
  margin-left: -20px;
  margin-right: -40px;
}

.car {
  background-color: #EFEFEF;
  color: black;
  float: left;
  width: calc(50% - 40px);
  margin-left: 20px;
  margin-right: 20px;
  margin-bottom: 40px
}

.car.animate {
  animation-name: carAnimate;
  animation-duration: 0.5s;
} @keyframes carAnimate {
  0% {transform:scale(1);}
  50% {transform:scale(1.1);}
  100% {transform:scale(1);}
}

.car:hover {
  opacity: 0.8;
}

.car a {
  text-decoration: none;
  color: initial;
}

.car .image {
  width: 100%;
}

.car .info {
  padding: 8px 23px;
}

.car .info .brand_model_type {
  width: 100%;
  font-size: 35px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  color: #7c7c7c;
  float: left;
}

.car .info .brand_model {
  color: black;
}

.car .info .type {
  width: 100%;
  font-size: 16px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.car .info .stats {
  border-top: 1px solid #cccccc;
  text-align: center;
  padding-top: 15px;
  display: flex;
  justify-content: space-between;
}

.car .info .stats img {
  margin-bottom: 20px;
}

.car .info .stats h2 {
  font-size: 18px;
  text-transform: uppercase;
  margin-bottom: 0;
}

.car .info .price {
  font-size: 21px;
  font-weight: bold;
  margin: 10px 0;
}


.image-wrapper {
  position: relative;
  padding-top: 66%;
}

.image-wrapper img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.rangeFilter-wrapper .scale {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.rangeFilter {
  height: 1px;
  margin-top: 15px;
}

.noUi-target {
  border: none;
  box-shadow: none;
  background-color: #d8d8d8;
}

.noUi-connect {
  background-color: #111;
}

.noUi-handle {
  width: 16px !important;
  height: 16px !important;
  top: -8px !important;
  right: -8px !important;
  border-radius: 100%;
  background-color: #111;
  box-shadow: none;
}

.noUi-handle::before,
.noUi-handle::after {
  display: none;
}

/* ### Responsive ### */

.mobile-only {
  display: none;
}

@media(max-width:1024px) {
  .car {
    width: calc(50% - 40px);
  }
}

@media(min-width:993px) {
  .filter-form {
    display: block !important;
  }
}

@media(max-width:992px) {
  .cm-header {
    background-color: #efefef;
  }
  
  .mobile-only {
    display: block;
  }
  .mobile-hidden {
    display: none;
  }

  .filter-block {
    width: 100%;
  }

  .filter-form .bb-grid-4 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 30px;
  }

  .filter-form .bb-grid-4 {
    grid-template-columns: repeat(1, minmax(0, 1fr));
    gap: 20px;
  }

  .car_overview {
    margin-left: 0;
    margin-right: 0;
  }

  .car .info .brand_model_type {
    font-size: 20px;
  }

  .car .info .type {
    font-size: 12px;
  }

  .car .info .stats h2 {
    font-size: 12px;
  }
}

@media(max-width:769px) {
  .car {
    width: 100%;
    margin-right: 0px;
    margin-left: 0px;
  }
}